r2613 - in dvb/linuxtv-dvb-apps/trunk/debian: . patches
Thomas Schmidt
tschmidt at costa.debian.org
Sat Apr 29 19:57:16 UTC 2006
Author: tschmidt
Date: 2006-04-29 19:57:15 +0000 (Sat, 29 Apr 2006)
New Revision: 2613
Added:
dvb/linuxtv-dvb-apps/trunk/debian/patches/09_x_zap_flush_stdout.dpatch
Modified:
dvb/linuxtv-dvb-apps/trunk/debian/changelog
dvb/linuxtv-dvb-apps/trunk/debian/control
dvb/linuxtv-dvb-apps/trunk/debian/patches/00list
dvb/linuxtv-dvb-apps/trunk/debian/watch
Log:
linuxtv-dvb-apps:
- fixed debian/watch
- fixed spelling mistake in package description
- added 09_x_zap_flush_stdout.dpatch
Modified: dvb/linuxtv-dvb-apps/trunk/debian/changelog
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/changelog 2006-04-29 19:45:10 UTC (rev 2612)
+++ dvb/linuxtv-dvb-apps/trunk/debian/changelog 2006-04-29 19:57:15 UTC (rev 2613)
@@ -1,3 +1,20 @@
+linuxtv-dvb-apps (1.1.0-11) unstable; urgency=low
+
+ * Thomas Schmidt <tschmidt at debian.org>
+ - Added 09_x_zap_flush_stdout.dpatch - make [stc]zap flush stdout
+ after writing status line (closes: #357126)
+ - Fixed spelling mistake in package description (closes: #363364)
+ - Fixed debian/watch
+
+ -- Debian VDR Team <pkg-vdr-dvb-devel at lists.alioth.debian.org> Sat, 29 Apr 2006 21:42:54 +0200
+
+linuxtv-dvb-apps (1.1.0-10) unstable; urgency=low
+
+ * Thomas Schmidt <tschmidt at debian.org>
+ - Depend on makedev | udev
+
+ -- Thomas Schmidt <tschmidt at debian.org> Thu, 29 Dec 2005 14:33:17 +0100
+
linuxtv-dvb-apps (1.1.0-9) unstable; urgency=low
* Thomas Schmidt <tschmidt at debian.org>
Modified: dvb/linuxtv-dvb-apps/trunk/debian/control
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/control 2006-04-29 19:45:10 UTC (rev 2612)
+++ dvb/linuxtv-dvb-apps/trunk/debian/control 2006-04-29 19:57:15 UTC (rev 2613)
@@ -8,7 +8,7 @@
Package: dvb-utils
Architecture: any
-Depends: ${shlibs:Depends}, makedev (>=2.3.1-66)
+Depends: ${shlibs:Depends}, makedev (>=2.3.1-66) | udev
Provides: dvb-zapping
Conflicts: dvb-zapping
Replaces: dvb-zapping
@@ -17,7 +17,7 @@
.
av7110_loadkeys - tool to load keyfiles of ir-remotes
evtest - find out events-keys to generate a keyfile for your remote
- femon - monitor the singal-strength... of your card
+ femon - monitor the signal-strength... of your card
scan - scan all transponders and generate a channels.conf
czap - simple zapping tool for the Linux DVB API (DVB-C-Cards)
szap - simple zapping tool for the Linux DVB API (DVB-S-Cards)
Modified: dvb/linuxtv-dvb-apps/trunk/debian/patches/00list
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/patches/00list 2006-04-29 19:45:10 UTC (rev 2612)
+++ dvb/linuxtv-dvb-apps/trunk/debian/patches/00list 2006-04-29 19:57:15 UTC (rev 2613)
@@ -6,3 +6,4 @@
06_freeview_channel_numbers
07_vdr_output
08_debug_minor_fixes
+09_x_zap_flush_stdout
Added: dvb/linuxtv-dvb-apps/trunk/debian/patches/09_x_zap_flush_stdout.dpatch
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/patches/09_x_zap_flush_stdout.dpatch 2006-04-29 19:45:10 UTC (rev 2612)
+++ dvb/linuxtv-dvb-apps/trunk/debian/patches/09_x_zap_flush_stdout.dpatch 2006-04-29 19:57:15 UTC (rev 2613)
@@ -0,0 +1,62 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+
+## 09_x_zap_flush_stdout.dpatch by Sebastian Schmidt <yath at yath.de>
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: Make [stc]zap flush stdout after writing status line
+
+ at DPATCH@
+diff -urNad linuxtv-dvb-apps-1.1.0/util/szap/czap.c /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/czap.c
+--- linuxtv-dvb-apps-1.1.0/util/szap/czap.c 2004-04-22 13:09:11.000000000 +0200
++++ /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/czap.c 2006-04-29 21:50:18.955710000 +0200
+@@ -243,9 +243,10 @@
+ if (status & FE_HAS_LOCK)
+ printf("FE_HAS_LOCK");
+
+- usleep(1000000);
++ printf("\n");
++ fflush(stdout);
+
+- printf("\n");
++ usleep(1000000);
+ } while (1);
+
+ return 0;
+diff -urNad linuxtv-dvb-apps-1.1.0/util/szap/femon.c /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/femon.c
+--- linuxtv-dvb-apps-1.1.0/util/szap/femon.c 2004-04-22 13:09:12.000000000 +0200
++++ /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/femon.c 2006-04-29 21:50:18.955710000 +0200
+@@ -81,6 +81,7 @@
+ printf("FE_HAS_LOCK");
+
+ printf("\n");
++ fflush(stdout);
+ usleep(1000000);
+ } while (1);
+
+diff -urNad linuxtv-dvb-apps-1.1.0/util/szap/szap.c /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/szap.c
+--- linuxtv-dvb-apps-1.1.0/util/szap/szap.c 2004-04-22 13:09:12.000000000 +0200
++++ /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/szap.c 2006-04-29 21:50:18.959710250 +0200
+@@ -216,6 +216,7 @@
+ if (status & FE_HAS_LOCK)
+ printf("FE_HAS_LOCK");
+ printf("\n");
++ fflush(stdout);
+
+ if (exit_after_tuning && ((status & FE_HAS_LOCK) || (++timeout >= 10)))
+ break;
+diff -urNad linuxtv-dvb-apps-1.1.0/util/szap/tzap.c /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/tzap.c
+--- linuxtv-dvb-apps-1.1.0/util/szap/tzap.c 2004-04-22 13:09:12.000000000 +0200
++++ /tmp/dpep.ENs8EE/linuxtv-dvb-apps-1.1.0/util/szap/tzap.c 2006-04-29 21:50:18.959710250 +0200
+@@ -362,9 +362,10 @@
+ if (status & FE_HAS_LOCK)
+ printf("FE_HAS_LOCK");
+
+- usleep(1000000);
++ printf("\n");
++ fflush(stdout);
+
+- printf("\n");
++ usleep(1000000);
+ } while (1);
+
+ return 0;
Property changes on: dvb/linuxtv-dvb-apps/trunk/debian/patches/09_x_zap_flush_stdout.dpatch
___________________________________________________________________
Name: svn:executable
+ *
Modified: dvb/linuxtv-dvb-apps/trunk/debian/watch
===================================================================
--- dvb/linuxtv-dvb-apps/trunk/debian/watch 2006-04-29 19:45:10 UTC (rev 2612)
+++ dvb/linuxtv-dvb-apps/trunk/debian/watch 2006-04-29 19:57:15 UTC (rev 2613)
@@ -1,2 +1,2 @@
version=2
-http://www.linuxtv.org/download/ linuxtv-dvb-apps.*-([\d+\.]+|\d+)\.tar(\.gz|\.bz2) debian uupdate
+http://www.linuxtv.org/download/ linuxtv-dvb-apps.*-([\d+\.]+|\d+)\.tar\.bz2
More information about the pkg-vdr-dvb-changes
mailing list